using System;
using System.Collections.Generic;

namespace Domain
{
    public class Order
    {
        private List<Item> _items = new List<Item>();

        public bool IsValid
        {
            get
            {
                return _items.Count > 0;
            }
        }

        public IEnumerable<Item> Items
        {
            get
            {
                return _items;
            }
        }

        public void AddItem(Item item)
        {
            _items.Add(item);
        }

    }
}
