using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;

namespace Domain.Tests
{
    public class OrderTests
    {

        [TestFixture]
        public class When_Order_Has_Items
        {
            [Test]
            public void Can_Report_Valid()
            {
                Order order = new Order();
                Item item = new Item();

                order.AddItem(item);

                Assert.IsTrue(order.IsValid);

            }
        }

        [TestFixture]
        public class When_Order_Has_No_Items
        {
            [Test]
            public void Can_Report_Invalid()
            {
                Order order = new Order();

                Assert.IsEmpty(order.Items);
                Assert.IsFalse(order.IsValid);
            }
        }
    }
}
